<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCallRecordsProcessTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('call_records_process', function (Blueprint $table) {
            $table->increments('id');
            $table->string('call_id',64)->comment('被叫标示');
            $table->string('ai_speak',255)->nullable()->comment('机器人');
            $table->string('people_speak',255)->nullable()->comment('被叫人');
            $table->string('node_name',255)->nullable()->comment('节点名字');
            $table->string('voice_path',255)->nullable()->comment('录音地址');
            $table->string('ip',64)->nullable()->comment('服务器地址');
            $table->dateTime('flow_time')->comment('纪录时间');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('call_records_process');
    }
}
